Bug 1618923 - Fix llvm-symbolizer filename on Windows r=decoder
authorSteve Fink <sfink@mozilla.com>
Fri, 13 Mar 2020 09:19:18 +0000
changeset 518575 14a6cc2958978f583171712634654c075b7aee0f
parent 518574 9754f657ec4f5980acfe0099cd082765f53f548d
child 518576 51cd675065e68ef8a02bd68aae77e90a532b0bed
push id37213
push usershindli@mozilla.com
push dateFri, 13 Mar 2020 21:46:16 +0000
treeherdermozilla-central@8ef0a54d7715 [default view] [failures only]
perfherder[talos] [build metrics] [platform microbench] (compared to previous push)
reviewersdecoder
bugs1618923
milestone76.0a1
first release with
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
last release without
nightly linux32
nightly linux64
nightly mac
nightly win32
nightly win64
Bug 1618923 - Fix llvm-symbolizer filename on Windows r=decoder Differential Revision: https://phabricator.services.mozilla.com/D65383
taskcluster/scripts/builder/build-sm.sh
--- a/taskcluster/scripts/builder/build-sm.sh
+++ b/taskcluster/scripts/builder/build-sm.sh
@@ -12,19 +12,22 @@ AUTOMATION=1 $PYTHON3 $SRCDIR/js/src/dev
 BUILD_STATUS=$?
 
 # Ensure upload dir exists
 mkdir -p $UPLOAD_DIR
 
 # Copy artifacts for upload by TaskCluster
 cp -rL $SRCDIR/obj-spider/dist/bin/{js,jsapi-tests,js-gdb.py} $UPLOAD_DIR
 
-# Fuzzing users would really like to have llvm-symbolizer available in the same
-# directory as the built output.
-gzip -c $MOZ_FETCHES_DIR/clang/bin/llvm-symbolizer > $UPLOAD_DIR/llvm-symbolizer.gz || true
+# Fuzzing users want the correct version of llvm-symbolizer available in the
+# same directory as the built output.
+for f in "$MOZ_FETCHES_DIR/clang/bin/llvm-symbolizer"*; do
+    gzip -c "$f" > "$UPLOAD_DIR/llvm-symbolizer.gz" || echo "gzip $f failed" >&2
+    break
+done
 
 # Fuzzing also uses a few fields in target.json file for automated downloads to
 # identify what was built.
 if [ -n "$MOZ_BUILD_DATE" ] && [ -n "$GECKO_HEAD_REV" ]; then
     cat >$UPLOAD_DIR/target.json <<EOF
 {
   "buildid": "$MOZ_BUILD_DATE",
   "moz_source_stamp": "$GECKO_HEAD_REV"